aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2015-11-01 21:36:06 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2015-11-05 17:37:28 +0000
commit5ac2a5152230998e0328166206fb3a9947553f87 (patch)
tree8c890bf0255c440bb9134fb965169a277a231237
parent96cdd89b701a63e45478890d4faf6f1c22fb6264 (diff)
downloadpaludis-5ac2a5152230998e0328166206fb3a9947553f87.tar.gz
paludis-5ac2a5152230998e0328166206fb3a9947553f87.tar.xz
Remove obsolete check
Originally this was so the IUSE_EFFECTIVE check didn't happen in EAPIs that didn't have it, but that isn't relevant since bfb1bd7.
-rw-r--r--paludis/repositories/e/ebuild/5/list_functions.bash8
1 files changed, 3 insertions, 5 deletions
diff --git a/paludis/repositories/e/ebuild/5/list_functions.bash b/paludis/repositories/e/ebuild/5/list_functions.bash
index 7cb22ad..bb67823 100644
--- a/paludis/repositories/e/ebuild/5/list_functions.bash
+++ b/paludis/repositories/e/ebuild/5/list_functions.bash
@@ -25,11 +25,9 @@ ebuild_load_module --older list_functions
useq()
{
- if [[ -n "${IUSE_EFFECTIVE:+x}" ]] ; then
- local i=( $IUSE_EFFECTIVE )
- if ! hasq ${1#!} "${i[@]#[+-]}" ; then
- die "Flag '${1#!}' is not included in IUSE_EFFECTIVE=\"${IUSE_EFFECTIVE}\""
- fi
+ local i=( $IUSE_EFFECTIVE )
+ if ! hasq ${1#!} "${i[@]#[+-]}" ; then
+ die "Flag '${1#!}' is not included in IUSE_EFFECTIVE=\"${IUSE_EFFECTIVE}\""
fi
if [[ "${1:0:1}" == "!" ]] ; then